Create a session
curl --request POST \
--url https://api.factory.ai/api/v0/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"computerId": "<string>",
"cwd": "<string>",
"sessionSettings": {
"model": "<string>",
"specModeModel": "<string>",
"providerLockTimestamp": "<string>",
"assistantActiveTimeMs": 123,
"childInclusiveTokenUsageBySessionId": {},
"archivedAt": "<string>",
"tags": [
{
"name": "<string>",
"metadata": {}
}
],
"enabledToolIds": [
"<string>"
],
"disabledToolIds": [
"<string>"
]
}
}
'import requests
url = "https://api.factory.ai/api/v0/sessions"
payload = {
"computerId": "<string>",
"cwd": "<string>",
"sessionSettings": {
"model": "<string>",
"specModeModel": "<string>",
"providerLockTimestamp": "<string>",
"assistantActiveTimeMs": 123,
"childInclusiveTokenUsageBySessionId": {},
"archivedAt": "<string>",
"tags": [
{
"name": "<string>",
"metadata": {}
}
],
"enabledToolIds": ["<string>"],
"disabledToolIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
computerId: '<string>',
cwd: '<string>',
sessionSettings: {
model: '<string>',
specModeModel: '<string>',
providerLockTimestamp: '<string>',
assistantActiveTimeMs: 123,
childInclusiveTokenUsageBySessionId: {},
archivedAt: '<string>',
tags: [{name: '<string>', metadata: {}}],
enabledToolIds: ['<string>'],
disabledToolIds: ['<string>']
}
})
};
fetch('https://api.factory.ai/api/v0/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"messageCount": 123,
"createdAt": 123,
"updatedAt": 123,
"title": "<string>",
"completedAt": 123,
"computerId": "<string>",
"sessionSettings": {
"model": "<string>",
"specModeModel": "<string>",
"providerLockTimestamp": "<string>",
"assistantActiveTimeMs": 123,
"tokenUsage": {
"inputTokens": 123,
"outputTokens": 123,
"cacheCreationTokens": 123,
"cacheReadTokens": 123,
"thinkingTokens": 123,
"factoryCredits": 123
},
"inclusiveTokenUsage": {
"inputTokens": 123,
"outputTokens": 123,
"cacheCreationTokens": 123,
"cacheReadTokens": 123,
"thinkingTokens": 123,
"factoryCredits": 123
},
"childInclusiveTokenUsageBySessionId": {},
"archivedAt": "<string>",
"tags": [
{
"name": "<string>",
"metadata": {}
}
],
"enabledToolIds": [
"<string>"
],
"disabledToolIds": [
"<string>"
]
}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}Sessions
Create a session
Creates a new session with the specified configuration. This feature is enabled for selected organizations only.
POST
/
api
/
v0
/
sessions
Create a session
Authorizations
Factory API key or JWT token for authentication
Body
application/json
Response
Response for status 201
Session ID
Current session execution status
Available options:
idle, pending, running Number of messages in session
Creation timestamp (Unix ms)
Last update timestamp (Unix ms)
Session title
Completion timestamp (Unix ms)
Connected computer ID
Show child attributes
Show child attributes
⌘I
